NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Preferences::PartModeling Class Reference

Represents the set of Modeling preferences applicable to part
To obtain an instance of this class, refer to NXOpen::Preferences::PartPreferences

Created in NX3.0.0. More...

Public Types

enum  CurveCurvatureDisplayType { CurveCurvatureDisplayTypeComb, CurveCurvatureDisplayTypeRadiusOfComb }
 Describes whether the curve curvature display is Curvature Comb or radius of Curvature Comb. More...
 
enum  DensityUnitType { DensityUnitTypeLbPerCuInch, DensityUnitTypeLbPerCuFeet, DensityUnitTypeGmPerCuCm, DensityUnitTypeKgPerCuMeter }
 Describes the units available for representing density. More...
 
enum  GridKnotLineFontType {
  GridKnotLineFontTypeSolid = 1, GridKnotLineFontTypeDashed, GridKnotLineFontTypePhantom, GridKnotLineFontTypeCenterline,
  GridKnotLineFontTypeDotted, GridKnotLineFontTypeLongDashed, GridKnotLineFontTypeDottedDashed
}
 the available font for grid/knot line More...
 
enum  GridResolutionType {
  GridResolutionTypeNone, GridResolutionTypeCoarse, GridResolutionTypeStandard, GridResolutionTypeFine,
  GridResolutionTypeExtraFine, GridResolutionTypeUltraFine
}
 Describes all available grid resolutions for selection. More...
 

Public Member Functions

double AngleToleranceData ()
 Returns the angle tolerance data. More...
 
int C0KnotLineColor ()
 Returns the C0 knot line color
Created in NX5.0.0. More...
 
NXOpen::Preferences::PartModeling::GridKnotLineFontType C0KnotLineFont ()
 Returns the C0 knot line font
Created in NX5.0.0. More...
 
bool C0KnotUseBodyColor ()
 Returns whether c0 knot line use body color
Created in NX5.0.0. More...
 
bool C0KnotUseBodyFont ()
 Returns whether C0_knot use body font
Created in NX5.0.0. More...
 
int C1KnotLineColor ()
 Returns the C1 knot line color
Created in NX5.0.0. More...
 
NXOpen::Preferences::PartModeling::GridKnotLineFontType C1KnotLineFont ()
 Returns the C1 knot line font
Created in NX5.0.0. More...
 
bool C1KnotUseBodyColor ()
 Returns whether c1 knot line use body color
Created in NX5.0.0. More...
 
bool C1KnotUseBodyFont ()
 Returns whether C1_knot use body font
Created in NX5.0.0. More...
 
int C2KnotLineColor ()
 Returns the C2 knot line color
Created in NX5.0.0. More...
 
NXOpen::Preferences::PartModeling::GridKnotLineFontType C2KnotLineFont ()
 Returns the C2 knot line font
Created in NX5.0.0. More...
 
bool C2KnotUseBodyColor ()
 Returns whether c2 knot line use body color
Created in NX5.0.0. More...
 
bool C2KnotUseBodyFont ()
 Returns whether C2_knot use body font
Created in NX5.0.0. More...
 
double ConvertAnalyticToConvergentAngularTolerance ()
 Returns the angular tolerance for converting analytic body to Convergent body
Created in NX12.0.0. More...
 
double ConvertAnalyticToConvergentDistanceTolerance ()
 Returns the distance tolerance for converting analytic body to Convergent body
Created in NX12.0.0. More...
 
NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType CurveCurvatureDisplay ()
 Returns the curve curvature display. More...
 
bool CurveCurvatureShowCap ()
 Returns the curve curvature display show cap line
Created in NX5.0.0. More...
 
int CurveCurvatureStyle ()
 Returns the curve curvature display style
Created in NX5.0.0. More...
 
bool CutViewUpdateDelayed ()
 Returns the state of the cut view delay update flag. More...
 
double Density ()
 Returns the density. More...
 
NXOpen::Preferences::PartModeling::DensityUnitType DensityUnit ()
 Returns the density unit
Created in NX3.0.0. More...
 
bool DisplayCurveCurvatureOutside ()
 Returns the curve curvature display style to show it on the inside/outside of the curve
Created in NX5.0.0. More...
 
double DistanceToleranceData ()
 Returns the modeling distance tolerance data. More...
 
bool GetHistoryMode ()
 Returns whether the part is in History or History-Free mode. More...
 
int GridLineColor ()
 Returns the grid line color
Created in NX5.0.0. More...
 
NXOpen::Preferences::PartModeling::GridKnotLineFontType GridLineFont ()
 Returns the grid line font
Created in NX5.0.0. More...
 
int GridLinesUCount ()
 Returns the U count for grid lines. More...
 
int GridLinesVCount ()
 Returns the V count for grid lines. More...
 
NXOpen::Preferences::PartModeling::GridResolutionType GridResolution ()
 Returns the grid resolution. More...
 
bool GridUseBodyColor ()
 Returns whether grid line use body color
Created in NX5.0.0. More...
 
bool GridUseBodyFont ()
 Returns whether grid use body font
Created in NX5.0.0. More...
 
bool OptimizeCurve ()
 Returns the optimize curve flag
Created in NX8.0.0. More...
 
double OptimizeCurveAngleToleranceFactor ()
 Returns the optimize curve angle tolerance factor
Created in NX11.0.0. More...
 
double OptimizeCurveDistanceToleranceFactor ()
 Returns the optimize curve distance tolerance factor
Created in NX11.0.0. More...
 
double OptimizeCurveToleranceFactor ()
 Returns the optimize curve tolerance factor
More...
 
void SetAngleToleranceData (double angleTolData)
 Sets the angle tolerance data. More...
 
void SetC0KnotLineColor (int knotLineColor)
 Sets the C0 knot line color
Created in NX5.0.0. More...
 
void SetC0KnotLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType knotLineFont)
 Sets the C0 knot line font
Created in NX5.0.0. More...
 
void SetC0KnotUseBodyColor (bool useBodyColor)
 Sets whether c0 knot line use body color
Created in NX5.0.0. More...
 
void SetC0KnotUseBodyFont (bool useBodyFont)
 Sets whether C0_knot use body font
Created in NX5.0.0. More...
 
void SetC1KnotLineColor (int knotLineColor)
 Sets the C1 knot line color
Created in NX5.0.0. More...
 
void SetC1KnotLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType knotLineFont)
 Sets the C1 knot line font
Created in NX5.0.0. More...
 
void SetC1KnotUseBodyColor (bool useBodyColor)
 Sets whether c1 knot line use body color
Created in NX5.0.0. More...
 
void SetC1KnotUseBodyFont (bool useBodyFont)
 Sets whether C1_knot use body font
Created in NX5.0.0. More...
 
void SetC2KnotLineColor (int knotLineColor)
 Sets the C2 knot line color
Created in NX5.0.0. More...
 
void SetC2KnotLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType knotLineFont)
 Sets the C2 knot line font
Created in NX5.0.0. More...
 
void SetC2KnotUseBodyColor (bool useBodyColor)
 Sets whether c2 knot line use body color
Created in NX5.0.0. More...
 
void SetC2KnotUseBodyFont (bool useBodyFont)
 Sets whether C2_knot use body font
Created in NX5.0.0. More...
 
void SetConvertAnalyticToConvergentAngularTolerance (double dAnalyticToConvergentAngTol)
 Sets the angular tolerance for converting analytic body to Convergent body
Created in NX12.0.0. More...
 
void SetConvertAnalyticToConvergentDistanceTolerance (double dAnalyticToConvergentDistTol)
 Sets the distance tolerance for converting analytic body to Convergent body
Created in NX12.0.0. More...
 
void SetCurveCurvatureDisplay (NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType curveCurvatureDisplay)
 Sets the curve curvature display. More...
 
void SetCurveCurvatureShowCap (bool newShowCap)
 Sets the curve curvature display show cap line
Created in NX5.0.0. More...
 
void SetCurveCurvatureStyle (int newStyle)
 Sets the curve curvature display style
Created in NX5.0.0. More...
 
void SetCutViewUpdateDelayed (bool isDelayed)
 Sets the state of the cut view delay update flag. More...
 
void SetDensity (double density)
 Sets the density. More...
 
void SetDensityUnit (NXOpen::Preferences::PartModeling::DensityUnitType densityUnit)
 Sets the density unit
Created in NX3.0.0. More...
 
void SetDisplayCurveCurvatureOutside (bool displayOutside)
 Sets the curve curvature display style to show it on the inside/outside of the curve
Created in NX5.0.0. More...
 
void SetDistanceToleranceData (double distTolData)
 Sets the modeling distance tolerance data. More...
 
void SetGridLineColor (int gridLineColor)
 Sets the grid line color
Created in NX5.0.0. More...
 
void SetGridLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType gridLineFont)
 Sets the grid line font
Created in NX5.0.0. More...
 
void SetGridLinesUCount (int gridLineUCount)
 Sets the U count for grid lines. More...
 
void SetGridLinesVCount (int gridLineVCount)
 Sets the V count for grid lines. More...
 
void SetGridResolution (NXOpen::Preferences::PartModeling::GridResolutionType gridResolution)
 Sets the grid resolution. More...
 
void SetGridUseBodyColor (bool useBodyColor)
 Sets whether grid line use body color
Created in NX5.0.0. More...
 
void SetGridUseBodyFont (bool useBodyFont)
 Sets whether grid use body font
Created in NX5.0.0. More...
 
void SetHistoryFreeMode ()
 Changes the modeling mode to History-Free Modeling. More...
 
void SetHistoryMode ()
 Changes the modeling mode to History Modeling. More...
 
void SetOptimizeCurve (bool optimizeCurve)
 Sets the optimize curve flag
Created in NX8.0.0. More...
 
void SetOptimizeCurveAngleToleranceFactor (double optimieCurveAngleFactor)
 Sets the optimize curve angle tolerance factor
Created in NX11.0.0. More...
 
void SetOptimizeCurveDistanceToleranceFactor (double optimieCurveDistanceFactor)
 Sets the optimize curve distance tolerance factor
Created in NX11.0.0. More...
 
void SetOptimizeCurveToleranceFactor (double optimieCurveFactor)
 Sets the optimize curve tolerance factor
More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents the set of Modeling preferences applicable to part
To obtain an instance of this class, refer to NXOpen::Preferences::PartPreferences

Created in NX3.0.0.


Member Enumeration Documentation

Describes whether the curve curvature display is Curvature Comb or radius of Curvature Comb.

Enumerator
CurveCurvatureDisplayTypeComb 

Curve curvature display is Curvature Comb.

CurveCurvatureDisplayTypeRadiusOfComb 

Curve curvature display is radius of Curvature Comb.

Describes the units available for representing density.

Enumerator
DensityUnitTypeLbPerCuInch 

Unit is pound per cubic inch.

DensityUnitTypeLbPerCuFeet 

Unit is pound per cubic feet.

DensityUnitTypeGmPerCuCm 

Unit is gram per cubic centimeter.

DensityUnitTypeKgPerCuMeter 

Unit is kg per cubic meter.

the available font for grid/knot line

Enumerator
GridKnotLineFontTypeSolid 

solid

GridKnotLineFontTypeDashed 

dashed

GridKnotLineFontTypePhantom 

phantom

GridKnotLineFontTypeCenterline 

centerline

GridKnotLineFontTypeDotted 

dotted

GridKnotLineFontTypeLongDashed 

long dashed

GridKnotLineFontTypeDottedDashed 

dotted dashed

Describes all available grid resolutions for selection.

Enumerator
GridResolutionTypeNone 

No specific selection for grid resolution.

GridResolutionTypeCoarse 

Coarse grid resolution.

GridResolutionTypeStandard 

Standard grid resolution.

GridResolutionTypeFine 

Fine grid resolution.

GridResolutionTypeExtraFine 

Extra Fine grid resolution.

GridResolutionTypeUltraFine 

Ultra Fine grid resolution.

Member Function Documentation

double NXOpen::Preferences::PartModeling::AngleToleranceData ( )

Returns the angle tolerance data.

Angle tolerance is the maximum allowable angle between the surface normals at corresponding points, or the maximum allowable angle between curve tangent vectors at corresponding points. This value can be read from any part but can only be set when the part owning these preferences is the work part.
Created in NX3.0.0.

License requirements : None

int NXOpen::Preferences::PartModeling::C0KnotLineColor ( )

Returns the C0 knot line color
Created in NX5.0.0.



License requirements : None

NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::C0KnotLineFont ( )

Returns the C0 knot line font
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::C0KnotUseBodyColor ( )

Returns whether c0 knot line use body color
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::C0KnotUseBodyFont ( )

Returns whether C0_knot use body font
Created in NX5.0.0.



License requirements : None

int NXOpen::Preferences::PartModeling::C1KnotLineColor ( )

Returns the C1 knot line color
Created in NX5.0.0.



License requirements : None

NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::C1KnotLineFont ( )

Returns the C1 knot line font
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::C1KnotUseBodyColor ( )

Returns whether c1 knot line use body color
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::C1KnotUseBodyFont ( )

Returns whether C1_knot use body font
Created in NX5.0.0.



License requirements : None

int NXOpen::Preferences::PartModeling::C2KnotLineColor ( )

Returns the C2 knot line color
Created in NX5.0.0.



License requirements : None

NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::C2KnotLineFont ( )

Returns the C2 knot line font
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::C2KnotUseBodyColor ( )

Returns whether c2 knot line use body color
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::C2KnotUseBodyFont ( )

Returns whether C2_knot use body font
Created in NX5.0.0.



License requirements : None

double NXOpen::Preferences::PartModeling::ConvertAnalyticToConvergentAngularTolerance ( )

Returns the angular tolerance for converting analytic body to Convergent body
Created in NX12.0.0.



License requirements : None

double NXOpen::Preferences::PartModeling::ConvertAnalyticToConvergentDistanceTolerance ( )

Returns the distance tolerance for converting analytic body to Convergent body
Created in NX12.0.0.



License requirements : None

NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType NXOpen::Preferences::PartModeling::CurveCurvatureDisplay ( )

Returns the curve curvature display.


Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::PartModeling::CurveCurvatureShowCap ( )

Returns the curve curvature display show cap line
Created in NX5.0.0.



License requirements : None

int NXOpen::Preferences::PartModeling::CurveCurvatureStyle ( )

Returns the curve curvature display style
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::CutViewUpdateDelayed ( )

Returns the state of the cut view delay update flag.


Created in NX4.0.0.

License requirements : None

double NXOpen::Preferences::PartModeling::Density ( )

Returns the density.

The value used to set this property must be in the units of the density units preference (that is, the value of NXOpen::Preferences::PartModeling::DensityUnit ). Likewise, the density returned by this property is in the units of the density units preference.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::PartModeling::DensityUnitType NXOpen::Preferences::PartModeling::DensityUnit ( )

Returns the density unit
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::DisplayCurveCurvatureOutside ( )

Returns the curve curvature display style to show it on the inside/outside of the curve
Created in NX5.0.0.



License requirements : None

double NXOpen::Preferences::PartModeling::DistanceToleranceData ( )

Returns the modeling distance tolerance data.

This tolerance value is used throughout the Modeling application, such as for creating swept and revolved solid bodies and sectioning solid bodies. For example, when creating sheet bodies, the distance tolerance specifies the maximum allowable distance between corresponding points on the original surface and the resulting B-surface. This value can be read from any part but can only be set when the part owning these preferences is the work part.
Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::PartModeling::GetHistoryMode ( )

Returns whether the part is in History or History-Free mode.

Return true for History mode or false for History-Free mode.

Returns

Deprecated:
Deprecated in NX11.0.0. History-free mode will be retired in NX11.


Created in NX6.0.0.

License requirements : None

int NXOpen::Preferences::PartModeling::GridLineColor ( )

Returns the grid line color
Created in NX5.0.0.



License requirements : None

NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::GridLineFont ( )

Returns the grid line font
Created in NX5.0.0.



License requirements : None

int NXOpen::Preferences::PartModeling::GridLinesUCount ( )

Returns the U count for grid lines.

It is the number of grid curves in the U direction of the faces of the body
Created in NX3.0.0.

License requirements : None

int NXOpen::Preferences::PartModeling::GridLinesVCount ( )

Returns the V count for grid lines.

It is the number of grid curves in the V direction of the faces of the body
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::PartModeling::GridResolutionType NXOpen::Preferences::PartModeling::GridResolution ( )

Returns the grid resolution.

The six options, None, Coarse, Standard, Fine, Extra Fine and Ultra Fine, produce a grid that is respectively more detailed. The None option shows no grid at all in wireframe mode.
Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::PartModeling::GridUseBodyColor ( )

Returns whether grid line use body color
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::GridUseBodyFont ( )

Returns whether grid use body font
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::PartModeling::OptimizeCurve ( )

Returns the optimize curve flag
Created in NX8.0.0.



License requirements : None

double NXOpen::Preferences::PartModeling::OptimizeCurveAngleToleranceFactor ( )

Returns the optimize curve angle tolerance factor
Created in NX11.0.0.



License requirements : None

double NXOpen::Preferences::PartModeling::OptimizeCurveDistanceToleranceFactor ( )

Returns the optimize curve distance tolerance factor
Created in NX11.0.0.



License requirements : None

double NXOpen::Preferences::PartModeling::OptimizeCurveToleranceFactor ( )

Returns the optimize curve tolerance factor

Deprecated:
Deprecated in NX11.0.0.

It was split into two factors. Please use PartModeling::OptimizeCurveDistanceToleranceFactor and PartModeling::OptimizeCurveAngleToleranceFactor instead.


Created in NX8.0.0.

License requirements : None

void NXOpen::Preferences::PartModeling::SetAngleToleranceData ( double  angleTolData)

Sets the angle tolerance data.

Angle tolerance is the maximum allowable angle between the surface normals at corresponding points, or the maximum allowable angle between curve tangent vectors at corresponding points. This value can be read from any part but can only be set when the part owning these preferences is the work part.
Created in NX3.0.0.

License requirements : None

Parameters
angleTolDataangle tol data
void NXOpen::Preferences::PartModeling::SetC0KnotLineColor ( int  knotLineColor)

Sets the C0 knot line color
Created in NX5.0.0.



License requirements : None

Parameters
knotLineColorknot line color
void NXOpen::Preferences::PartModeling::SetC0KnotLineFont ( NXOpen::Preferences::PartModeling::GridKnotLineFontType  knotLineFont)

Sets the C0 knot line font
Created in NX5.0.0.



License requirements : None

Parameters
knotLineFontknot line font
void NXOpen::Preferences::PartModeling::SetC0KnotUseBodyColor ( bool  useBodyColor)

Sets whether c0 knot line use body color
Created in NX5.0.0.



License requirements : None

Parameters
useBodyColoruse body color
void NXOpen::Preferences::PartModeling::SetC0KnotUseBodyFont ( bool  useBodyFont)

Sets whether C0_knot use body font
Created in NX5.0.0.



License requirements : None

Parameters
useBodyFontuse body font
void NXOpen::Preferences::PartModeling::SetC1KnotLineColor ( int  knotLineColor)

Sets the C1 knot line color
Created in NX5.0.0.



License requirements : None

Parameters
knotLineColorknot line color
void NXOpen::Preferences::PartModeling::SetC1KnotLineFont ( NXOpen::Preferences::PartModeling::GridKnotLineFontType  knotLineFont)

Sets the C1 knot line font
Created in NX5.0.0.



License requirements : None

Parameters
knotLineFontknot line font
void NXOpen::Preferences::PartModeling::SetC1KnotUseBodyColor ( bool  useBodyColor)

Sets whether c1 knot line use body color
Created in NX5.0.0.



License requirements : None

Parameters
useBodyColoruse body color
void NXOpen::Preferences::PartModeling::SetC1KnotUseBodyFont ( bool  useBodyFont)

Sets whether C1_knot use body font
Created in NX5.0.0.



License requirements : None

Parameters
useBodyFontuse body font
void NXOpen::Preferences::PartModeling::SetC2KnotLineColor ( int  knotLineColor)

Sets the C2 knot line color
Created in NX5.0.0.



License requirements : None

Parameters
knotLineColorknot line color
void NXOpen::Preferences::PartModeling::SetC2KnotLineFont ( NXOpen::Preferences::PartModeling::GridKnotLineFontType  knotLineFont)

Sets the C2 knot line font
Created in NX5.0.0.



License requirements : None

Parameters
knotLineFontknot line font
void NXOpen::Preferences::PartModeling::SetC2KnotUseBodyColor ( bool  useBodyColor)

Sets whether c2 knot line use body color
Created in NX5.0.0.



License requirements : None

Parameters
useBodyColoruse body color
void NXOpen::Preferences::PartModeling::SetC2KnotUseBodyFont ( bool  useBodyFont)

Sets whether C2_knot use body font
Created in NX5.0.0.



License requirements : None

Parameters
useBodyFontuse body font
void NXOpen::Preferences::PartModeling::SetConvertAnalyticToConvergentAngularTolerance ( double  dAnalyticToConvergentAngTol)

Sets the angular tolerance for converting analytic body to Convergent body
Created in NX12.0.0.



License requirements : None

Parameters
dAnalyticToConvergentAngTolangular tolerance for converting analytic body to Convergent body
void NXOpen::Preferences::PartModeling::SetConvertAnalyticToConvergentDistanceTolerance ( double  dAnalyticToConvergentDistTol)

Sets the distance tolerance for converting analytic body to Convergent body
Created in NX12.0.0.



License requirements : None

Parameters
dAnalyticToConvergentDistToldistance tolerance for converting analytic body to Convergent body
void NXOpen::Preferences::PartModeling::SetCurveCurvatureDisplay ( NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType  curveCurvatureDisplay)

Sets the curve curvature display.


Created in NX3.0.0.

License requirements : None

Parameters
curveCurvatureDisplaycurve curvature display
void NXOpen::Preferences::PartModeling::SetCurveCurvatureShowCap ( bool  newShowCap)

Sets the curve curvature display show cap line
Created in NX5.0.0.



License requirements : None

Parameters
newShowCapnew show cap
void NXOpen::Preferences::PartModeling::SetCurveCurvatureStyle ( int  newStyle)

Sets the curve curvature display style
Created in NX5.0.0.



License requirements : None

Parameters
newStylenew style
void NXOpen::Preferences::PartModeling::SetCutViewUpdateDelayed ( bool  isDelayed)

Sets the state of the cut view delay update flag.


Created in NX4.0.0.

License requirements : None

Parameters
isDelayedThe new state of the delay update flag.
void NXOpen::Preferences::PartModeling::SetDensity ( double  density)

Sets the density.

The value used to set this property must be in the units of the density units preference (that is, the value of NXOpen::Preferences::PartModeling::DensityUnit ). Likewise, the density returned by this property is in the units of the density units preference.
Created in NX3.0.0.

License requirements : None

Parameters
densitydensity
void NXOpen::Preferences::PartModeling::SetDensityUnit ( NXOpen::Preferences::PartModeling::DensityUnitType  densityUnit)

Sets the density unit
Created in NX3.0.0.



License requirements : None

Parameters
densityUnitdensity unit
void NXOpen::Preferences::PartModeling::SetDisplayCurveCurvatureOutside ( bool  displayOutside)

Sets the curve curvature display style to show it on the inside/outside of the curve
Created in NX5.0.0.



License requirements : None

Parameters
displayOutsidedisplay outside
void NXOpen::Preferences::PartModeling::SetDistanceToleranceData ( double  distTolData)

Sets the modeling distance tolerance data.

This tolerance value is used throughout the Modeling application, such as for creating swept and revolved solid bodies and sectioning solid bodies. For example, when creating sheet bodies, the distance tolerance specifies the maximum allowable distance between corresponding points on the original surface and the resulting B-surface. This value can be read from any part but can only be set when the part owning these preferences is the work part.
Created in NX3.0.0.

License requirements : None

Parameters
distTolDatadist tol data
void NXOpen::Preferences::PartModeling::SetGridLineColor ( int  gridLineColor)

Sets the grid line color
Created in NX5.0.0.



License requirements : None

Parameters
gridLineColorgrid line color
void NXOpen::Preferences::PartModeling::SetGridLineFont ( NXOpen::Preferences::PartModeling::GridKnotLineFontType  gridLineFont)

Sets the grid line font
Created in NX5.0.0.



License requirements : None

Parameters
gridLineFontgrid line font
void NXOpen::Preferences::PartModeling::SetGridLinesUCount ( int  gridLineUCount)

Sets the U count for grid lines.

It is the number of grid curves in the U direction of the faces of the body
Created in NX3.0.0.

License requirements : None

Parameters
gridLineUCountgrid line u count
void NXOpen::Preferences::PartModeling::SetGridLinesVCount ( int  gridLineVCount)

Sets the V count for grid lines.

It is the number of grid curves in the V direction of the faces of the body
Created in NX3.0.0.

License requirements : None

Parameters
gridLineVCountgrid line v count
void NXOpen::Preferences::PartModeling::SetGridResolution ( NXOpen::Preferences::PartModeling::GridResolutionType  gridResolution)

Sets the grid resolution.

The six options, None, Coarse, Standard, Fine, Extra Fine and Ultra Fine, produce a grid that is respectively more detailed. The None option shows no grid at all in wireframe mode.
Created in NX3.0.0.

License requirements : None

Parameters
gridResolutiongrid resolution
void NXOpen::Preferences::PartModeling::SetGridUseBodyColor ( bool  useBodyColor)

Sets whether grid line use body color
Created in NX5.0.0.



License requirements : None

Parameters
useBodyColoruse body color
void NXOpen::Preferences::PartModeling::SetGridUseBodyFont ( bool  useBodyFont)

Sets whether grid use body font
Created in NX5.0.0.



License requirements : None

Parameters
useBodyFontuse body font
void NXOpen::Preferences::PartModeling::SetHistoryFreeMode ( )

Changes the modeling mode to History-Free Modeling.

This will remove parameters from features in the model. Feature edit will not be available and the model will not update.

Deprecated:
Deprecated in NX11.0.0. History-free mode will be retired in NX11.


Created in NX6.0.0.

License requirements : None

void NXOpen::Preferences::PartModeling::SetHistoryMode ( )

Changes the modeling mode to History Modeling.

This will remove Local feature from the model.
Created in NX6.0.0.

License requirements : None

void NXOpen::Preferences::PartModeling::SetOptimizeCurve ( bool  optimizeCurve)

Sets the optimize curve flag
Created in NX8.0.0.



License requirements : None

Parameters
optimizeCurveFlag indicating whether Optimized Curve should be performed
void NXOpen::Preferences::PartModeling::SetOptimizeCurveAngleToleranceFactor ( double  optimieCurveAngleFactor)

Sets the optimize curve angle tolerance factor
Created in NX11.0.0.



License requirements : None

Parameters
optimieCurveAngleFactorAngle Factor for performing Optimized Curve
void NXOpen::Preferences::PartModeling::SetOptimizeCurveDistanceToleranceFactor ( double  optimieCurveDistanceFactor)

Sets the optimize curve distance tolerance factor
Created in NX11.0.0.



License requirements : None

Parameters
optimieCurveDistanceFactorDistance Factor for performing Optimized Curve
void NXOpen::Preferences::PartModeling::SetOptimizeCurveToleranceFactor ( double  optimieCurveFactor)

Sets the optimize curve tolerance factor

Deprecated:
Deprecated in NX11.0.0.

It was split into two factors. Please use PartModeling::SetOptimizeCurveDistanceToleranceFactor and PartModeling::SetOptimizeCurveAngleToleranceFactor instead.


Created in NX8.0.0.

License requirements : None

Parameters
optimieCurveFactorFactor for performing Optimized Curve
tag_t NXOpen::Preferences::PartModeling::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.